'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slate = require('@gitbook/slate');
var isomorphicBase64 = require('isomorphic-base64');

function encode(object) {
    const content = JSON.stringify(object);
    const encoded = isomorphicBase64.btoa(encodeURIComponent(content));
    return encoded;
}
function decode(content) {
    const decoded = decodeURIComponent(isomorphicBase64.atob(content));
    const object = JSON.parse(decoded);
    return object;
}
function deserialize(content, options) {
    const raw = decode(content);
    const value = slate.Value.fromJS(raw, options);
    return value;
}
function deserializeNode(content, options) {
    const raw = decode(content);
    const node = slate.Node.fromJS(raw, options);
    return node;
}
function serialize(value, options) {
    const raw = value.toJS(options);
    const encoded = encode(raw);
    return encoded;
}
function serializeNode(node, options) {
    const raw = node.toJS(options);
    const encoded = encode(raw);
    return encoded;
}
var index = {
    deserialize,
    deserializeNode,
    serialize,
    serializeNode
};

exports.default = index;
//# sourceMappingURL=index.js.map
