import { Value, Node } from '@gitbook/slate';
import { btoa, atob } from 'isomorphic-base64';

function encode(object) {
    const content = JSON.stringify(object);
    const encoded = btoa(encodeURIComponent(content));
    return encoded;
}
function decode(content) {
    const decoded = decodeURIComponent(atob(content));
    const object = JSON.parse(decoded);
    return object;
}
function deserialize(content, options) {
    const raw = decode(content);
    const value = Value.fromJS(raw, options);
    return value;
}
function deserializeNode(content, options) {
    const raw = decode(content);
    const node = Node.fromJS(raw, options);
    return node;
}
function serialize(value, options) {
    const raw = value.toJS(options);
    const encoded = encode(raw);
    return encoded;
}
function serializeNode(node, options) {
    const raw = node.toJS(options);
    const encoded = encode(raw);
    return encoded;
}
var index = {
    deserialize,
    deserializeNode,
    serialize,
    serializeNode
};

export default index;
//# sourceMappingURL=index.js.map
